- Home
- API Enriched
- Statistics
- report
- Download Report.
Download Report.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/report/namespaces/example/reports/example/download';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/report/namespaces/example/reports/example/download \ --header 'Authorization: <Authorization>'Download report.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace for this request.
Report Name
x-required Name of the report which has to be downloadd.
Responses
Section titled “Responses”A successful response.
Download report response.
object
Attachments for email.
Attachment data contains contentId and the data.
object
Content for attachment.
Content ID for attachment.
Content type for attachment.
File name for attachment.
Report data in CSS Required: YES.
Report data in HTML Required: YES.
Examplegenerated
{ "Attachments": [ { "content": "example", "content_id": "example", "content_type": "example", "file_name": "example" } ], "css_data": "example", "html_data": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example